Package: org.codehaus.groovy.transform

## [Java] Class TupleConstructorASTTransformation

- org.codehaus.groovy.transform.TupleConstructorASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware, TransformWithPriority

      @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class TupleConstructorASTTransformation
      extends AbstractASTTransformation
      implements CompilationUnitAware, TransformWithPriority

  Handles generation of code for the

  TupleConstructor:
    annotation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addSpecialMapConstructors(int modifiers, ClassNode cNode, String message, boolean addNoArg)`
    `` | `public String` | `getAnnotationName()`
    `` | `public int` | `priority()`
    `` | `public void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Method Detail

    - #### public static void addSpecialMapConstructors(int modifiers, ClassNode cNode, String message, boolean addNoArg)

    - #### @Override
      public String getAnnotationName()

    - #### @Override
      public int priority()

    - #### @Override
      public void setCompilationUnit(CompilationUnit unit)

    - #### @Override
      public void visit(ASTNode[] nodes, SourceUnit source)